\documentclass[12pt]{article}
% Both datatool and ticket use inspired by 
% https://tex.stackexchange.com/questions/94582/automating-the-creation-of-name-badges-for-an-event

% Load the ticket system
\usepackage[crossmark]{ticket}
% Page style
%\usepackage[landscape]{geometry}
\usepackage[paperheight=320mm,paperwidth=450mm,margin=7mm]{geometry}
\setlength{\topskip}{0pt}
%\pagestyle{empty}
% Font and encoding settings
\input{rh-fonts.tex}

% Enable graphics
\usepackage{graphicx}
% Automatic data processing package
\usepackage{datatool}

% Ticket setup
\setlength{\unitlength}{1mm}
\ticketSize{109}{152}
\ticketDistance{0}{0}
\ticketNumbers{4}{2}

% Make your default ticket. \ticketdefault is somewhat like a background
\renewcommand{\ticketdefault}{}

% now what do you like to put in your ticket
\newcommand{\badge}[4]{\ticket{
  \put(0,0){\includegraphics[page=#1,trim={4mm 4mm 4mm 4mm},clip]{badge}} % background
  \put(54.5,86){\makebox[0mm]{\parbox[t][][t]{90mm}{\fontsize{30}{36}\centering\rhDisplay\bfseries #2}}} % name
  \put(54.5,74){\makebox[0mm]{\parbox[t][][t]{90mm}{\fontsize{30}{36}\centering\rhDisplay\bfseries #3}}} % surname
  \put(54.5,59){\makebox[0mm]{\parbox[c][][c]{90mm}{\fontsize{20}{24}\centering\rhDisplay\sbseries #4}}} % affiliation
}}
 
\begin{document}

% Load attendees list
% default separator is coma and default delimiter is double quote      
% \DTLsetseparator{,}
% \DTLsetdelimiter{"}
%\DTLloaddb{attendees}{attendees-sample.csv}
\DTLloaddb{attendees}{attendees.csv}

% Start badges front
\DTLforeach{attendees}{%
  \name=name,
  \surname=surname,
  \affiliation=affiliation,
  \job=job,
  \interests=interests,
  \lunchOption=lunchOption}{%
\badge{1}{\name}{\surname}{\affiliation}
} % End badges

\backside
\hoffset=272mm
% Start badges back
\DTLforeach{attendees}{%
  \name=name,
  \surname=surname,
  \affiliation=affiliation,
  \job=job,
  \interests=interests,
  \lunchOption=lunchOption}{% 
\badge{2}{\name}{\surname}{\affiliation}
} % End badges

\end{document}
